## ros-humble-as2-platform-dji-osdk 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PROJECT_NAME as2_platform_dji_osdk)
project(${PROJECT_NAME})

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)

set(PROJECT_DEPENDENCIES
rclcpp
std_msgs
sensor_msgs
geometry_msgs
nav_msgs
as2_core
as2_msgs
std_srvs
)

foreach(project ${PROJECT_DEPENDENCIES})
  find_package(${project} REQUIRED)
  message(STATUS "Found ${project}")
endforeach()

if(CMAKE_SYSTEM_PROCESSOR MATCHES "i386|i686|x86|AMD64|x86_64")
   set(ARCH x86)
   add_definitions(-DDJIOSDK_HARDWARE_TYPE=3)
elseif((CMAKE_SYSTEM_PROCESSOR MATCHES "^arm*") OR (CMAKE_SYSTEM_PROCESSOR MATCHES "^aarch"))
  if(CMAKE_SIZEOF_VOID_P EQUAL 4)
     set(ARCH armv7)
     add_definitions(-DDJIOSDK_HARDWARE_TYPE=1)
  elseif(CMAKE_SIZEOF_VOID_P EQUAL 8)
     set(ARCH armv8)
     add_definitions(-DDJIOSDK_HARDWARE_TYPE=2)
  endif()
elseif()
  add_definitions(-DDJIOSDK_HARDWARE_TYPE=0)
endif()

add_definitions(-DADVANCED_SENSING)

include(FetchContent)
FetchContent_Declare(
dji_onboardsdk
GIT_REPOSITORY https://github.com/aerostack2/Onboard-SDK.git
GIT_TAG master
)
FetchContent_MakeAvailable(dji_onboardsdk)


set(ONBOARDSDK_SOURCE ${dji_onboardsdk_SOURCE_DIR}/osdk-core)
message(STATUS "ONBOARDSDK_SOURCE: ${ONBOARDSDK_SOURCE}")

set(SOURCE_CPP_FILES 
  src/dji_matrice_platform.cpp
  src/dji_camera_handler.cpp
  src/dji_mop_handler.cpp
)
set(HEADER_HPP_FILES
  include/dji_matrice_platform.hpp
)

message(STATUS : "FOLDER: ${ONBOARDSDK_SOURCE}/utility/inc")
set(CURRENT_CMAKE_MODULE_PATH ${ONBOARDSDK_SOURCE}/cmake-modules)
    
include_directories(
  include
  include/${PROJECT_NAME}
  ${ONBOARDSDK_SOURCE}/../sample/platform/linux/common
  ${ONBOARDSDK_SOURCE}/../sample/platform/linux/hal
  ${ONBOARDSDK_SOURCE}/../sample/platform/linux/osal
  ${ONBOARDSDK_SOURCE}/../sample/core/inc
  ${ONBOARDSDK_SOURCE}/api/inc
  ${ONBOARDSDK_SOURCE}/logger/inc
  ${ONBOARDSDK_SOURCE}/platform/inc
  ${ONBOARDSDK_SOURCE}/utility/inc
  ${ONBOARDSDK_SOURCE}/hal/inc
  ${ONBOARDSDK_SOURCE}/modules/inc/payload
  ${ONBOARDSDK_SOURCE}/modules/inc/filemgr
  ${ONBOARDSDK_SOURCE}/modules/inc/firewall
  ${ONBOARDSDK_SOURCE}/modules/inc/flight
  ${ONBOARDSDK_SOURCE}/modules/inc/mop
  ${ONBOARDSDK_SOURCE}/protocol/inc
  ${ONBOARDSDK_SOURCE}/platform/linux/inc
  ${ONBOARDSDK_SOURCE}/advanced-sensing/api/inc
  ${ONBOARDSDK_SOURCE}/linker/${ARCH}/inc
  ${ONBOARDSDK_SOURCE}/../sample/platform/linux/hal
  ${ONBOARDSDK_SOURCE}/../sample/platform/linux/hal/hotplug
  ${ONBOARDSDK_SOURCE}/../sample/platform/linux/osal
  ${ONBOARDSDK_SOURCE}/../sample/core/inc
  ${ONBOARDSDK_SOURCE}/../sample/platform/linux/common
)

FILE(GLOB SOURCE_FILES *.hpp *.cpp
    ${ONBOARDSDK_SOURCE}/../sample/core/src/flight_sample.cpp
    ${ONBOARDSDK_SOURCE}/../sample/platform/linux/common/dji_linux_environment.cpp
    ${ONBOARDSDK_SOURCE}/../sample/platform/linux/common/dji_linux_helpers.cpp
    ${ONBOARDSDK_SOURCE}/../sample/platform/linux/hal/osdkhal_linux.c
    ${ONBOARDSDK_SOURCE}/../sample/platform/linux/osal/osdkosal_linux.c
    )

find_package(OpenCV REQUIRED)

add_executable(${PROJECT_NAME}_node src/dji_matrice_platform_main.cpp ${SOURCE_CPP_FILES} ${SOURCE_FILES} )
target_link_libraries(${PROJECT_NAME}_node djiosdk-core ${OpenCV_LIBS})
ament_target_dependencies(${PROJECT_NAME}_node ${PROJECT_DEPENDENCIES})

if(BUILD_TESTING)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_clang_format REQUIRED)

  # find_package(ament_lint_auto REQUIRED)
  # ament_lint_auto_find_test_dependencies()
  
  ament_cppcheck(src/ include/)
  ament_clang_format(src/ include/ tests/ --config ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)

endif()

install(
  DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY
  config
  DESTINATION share/${PROJECT_NAME}
)

install(TARGETS
  ${PROJECT_NAME}_node
  DESTINATION lib/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-humble-as2-platform-dji-osdk (1.0.4-1jammy) jammy; urgency=high

  * Merge pull request #318 <https://github.com/aerostack2/aerostack2/issues/318> from aerostack2/jenkins-build
    fixing jenkins build failures
  * fixing jenkins build failures
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.3-1jammy) jammy; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.2-1jammy) jammy; urgency=high

  * Merge pull request #315 <https://github.com/aerostack2/aerostack2/issues/315> from aerostack2/uplink_reliable
    [as2_platform_dji_osdk] Links qos subscritions changed to reliable
  * subs qos changed to reliable
  * Merge pull request #309 <https://github.com/aerostack2/aerostack2/issues/309> from aerostack2/mop_channel
    [as2_platform_dji_osdk] Mop channel communication
  * Several commits
  * Merge pull request #303 <https://github.com/aerostack2/aerostack2/issues/303> from aerostack2/dji_gimbal_test
    [as2_platform_dji_osdk] Add gimbal and camera trigger support
  * Change camera mode
  * [feat] take images
  * dji gimbal topic
  * Merge pull request #299 <https://github.com/aerostack2/aerostack2/issues/299> from aerostack2/298-as2_platform_dji_osdk-take-off-delay-to-wait-to-be-done
    [as2_platform_dji_osdk] Add take off sleep to wait until it has finished
  * Add take off sleep
  * Merge pull request #297 <https://github.com/aerostack2/aerostack2/issues/297> from aerostack2/252-as2_platform_dji_osdk-add-camera-support
    [as2_platform_dji_osdk] Add camera interface with ROS 2
  * Add camera info params
  * parameters for enabling camera
  * image transport into the platform
  * camera image obtained
  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Unify platform launchers
  * Contributors: AGX Xavier 1, Javier Melero, Javilinos, Miguel, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #212 <https://github.com/aerostack2/aerostack2/issues/212> from aerostack2/211-nodes-should-use-aerostack2-node-create-timer-method-not-create-wall-timer
    Nodes use Aerostack2 Node Create Timer method, not create wall timer
  * Change create wall timer to as2 create timer
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.0-1jammy) jammy; urgency=high

  * Merge pull request #149 <https://github.com/aerostack2/aerostack2/issues/149> from aerostack2/148-add-missing-licenses
    Updated liceses and description
  * updated liceses and description
  * Merge pull request #144 <https://github.com/aerostack2/aerostack2/issues/144> from aerostack2/136-as2_platform_dji_osdk-add-dji-m200-and-m300-support-using-dji-osdk
    as2 platform dji osdk add dji m200 and m300 support using dji osdk
  * Use aerostack fork
    >
    >
    Co-authored-by: Miguel Fernandez <mailto:miferco97@gmail.com>
  * Remove gps utils package dependence
  * Remove GeographicLib dependence
  * DJI tested in simulation
  * use has_new_references attribute before sending command
  * 1st integration
  * first iteration before sync with main
  * Contributors: Miguel, RPS98, Rafael Pérez, pariaspe

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-as2-platform-dji-osdk (0.2.2-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Wed, 21 Dec 2022 23:00:00 -0000

ros-humble-as2-platform-dji-osdk (0.2.1-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-as2-platform-dji-osdk
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-platform-dji-osdk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: Package to communicate DJI OSDK with Aerostack2 framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-platform-dji-osdk//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-as2-platform-dji-osdk 1.0.9

=== debian/changelog ===
ros-humble-as2-platform-dji-osdk (1.0.9-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.8-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.7-3bookworm) bookworm; urgency=high

  * Added libusb-dev dependency
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.6-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.5-3bookworm) bookworm; urgency=high

  * Add camera change source topic
  * Fixes gps time subscription
  * Contributors: Javilinos, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.4-3bookworm) bookworm; urgency=high

  * Merge pull request #318 <https://github.com/aerostack2/aerostack2/issues/318> from aerostack2/jenkins-build
    fixing jenkins build failures
  * fixing jenkins build failures
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.3-3bookworm) bookworm; urgency=high

  * Merge pull request #317 <https://github.com/aerostack2/aerostack2/issues/317> from aerostack2/316-tf2_geometry_msgs-dep
    Only use tf2_geometry_msgs library when needed
  * only use library when needed
  * Contributors: Miguel Fernandez-Cortizas, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.2-3bookworm) bookworm; urgency=high

  * Merge pull request #315 <https://github.com/aerostack2/aerostack2/issues/315> from aerostack2/uplink_reliable
    [as2_platform_dji_osdk] Links qos subscritions changed to reliable
  * subs qos changed to reliable
  * Merge pull request #309 <https://github.com/aerostack2/aerostack2/issues/309> from aerostack2/mop_channel
    [as2_platform_dji_osdk] Mop channel communication
  * Several commits
  * Merge pull request #303 <https://github.com/aerostack2/aerostack2/issues/303> from aerostack2/dji_gimbal_test
    [as2_platform_dji_osdk] Add gimbal and camera trigger support
  * Change camera mode
  * [feat] take images
  * dji gimbal topic
  * Merge pull request #299 <https://github.com/aerostack2/aerostack2/issues/299> from aerostack2/298-as2_platform_dji_osdk-take-off-delay-to-wait-to-be-done
    [as2_platform_dji_osdk] Add take off sleep to wait until it has finished
  * Add take off sleep
  * Merge pull request #297 <https://github.com/aerostack2/aerostack2/issues/297> from aerostack2/252-as2_platform_dji_osdk-add-camera-support
    [as2_platform_dji_osdk] Add camera interface with ROS 2
  * Add camera info params
  * parameters for enabling camera
  * image transport into the platform
  * camera image obtained
  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Unify platform launchers
  * Contributors: AGX Xavier 1, Javier Melero, Javilinos, Miguel, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.1-3bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #212 <https://github.com/aerostack2/aerostack2/issues/212> from aerostack2/211-nodes-should-use-aerostack2-node-create-timer-method-not-create-wall-timer
    Nodes use Aerostack2 Node Create Timer method, not create wall timer
  * Change create wall timer to as2 create timer
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (1.0.0-3bookworm) bookworm; urgency=high

  * Merge pull request #149 <https://github.com/aerostack2/aerostack2/issues/149> from aerostack2/148-add-missing-licenses
    Updated liceses and description
  * updated liceses and description
  * Merge pull request #144 <https://github.com/aerostack2/aerostack2/issues/144> from aerostack2/136-as2_platform_dji_osdk-add-dji-m200-and-m300-support-using-dji-osdk
    as2 platform dji osdk add dji m200 and m300 support using dji osdk
  * Use aerostack fork
    >
    >
    Co-authored-by: Miguel Fernandez <mailto:miferco97@gmail.com>
  * Remove gps utils package dependence
  * Remove GeographicLib dependence
  * DJI tested in simulation
  * use has_new_references attribute before sending command
  * 1st integration
  * first iteration before sync with main
  * Contributors: Miguel, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (0.2.2-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 21 Dec 2022 16:00:00 -0000

ros-humble-as2-platform-dji-osdk (0.2.1-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-as2-platform-dji-osdk
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-platform-dji-osdk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0-dev, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: Package to communicate DJI OSDK with Aerostack2 framework

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-platform-dji-osdk//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-platform-dji-osdk//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-as2-platform-dji-osdk//opt/ros/humble/opt/as2_platform_dji_osdk/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
